#
# spec file for package perl-Mojolicious-Plugin-Status
#
# Copyright (c) 2021 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define cpan_name Mojolicious-Plugin-Status
Name:           perl-Mojolicious-Plugin-Status
Version:        1.17
Release:        1.19
Summary:        Mojolicious server status
License:        Artistic-2.0
URL:            https://metacpan.org/release/%{cpan_name}
Source0:        https://cpan.metacpan.org/authors/id/S/SR/SRI/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(BSD::Resource)
BuildRequires:  perl(File::Map)
BuildRequires:  perl(File::Temp) >= 0.2308
BuildRequires:  perl(Mojolicious) >= 9.11
BuildRequires:  perl(Sereal)
Requires:       perl(BSD::Resource)
Requires:       perl(File::Map)
Requires:       perl(File::Temp) >= 0.2308
Requires:       perl(Mojolicious) >= 9.11
Requires:       perl(Sereal)
%{perl_requires}

%description
Mojolicious::Plugin::Status is a Mojolicious plugin providing a server
status ui for Mojo::Server::Daemon and Mojo::Server::Prefork. Note that
this module is *EXPERIMENTAL* and should therefore only be used for
debugging purposes.

%prep
%autosetup  -n %{cpan_name}-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%doc Changes examples README.md
%license LICENSE

%changelog
* Wed Mar 24 2021 Tina Müller <timueller+perl@suse.de>
- updated to 1.17
  see /usr/share/doc/packages/perl-Mojolicious-Plugin-Status/Changes
  1.17  2021-03-23
  - Fixed Mojolicious 9.11 compatibility.
* Fri Mar 19 2021 Tina Müller <timueller+perl@suse.de>
- updated to 1.16
  see /usr/share/doc/packages/perl-Mojolicious-Plugin-Status/Changes
  1.16  2021-03-18
  - Updated ui with more consistent Mojolicious design.
* Sun Feb 21 2021 Tina Müller <timueller+perl@suse.de>
- updated to 1.15
  see /usr/share/doc/packages/perl-Mojolicious-Plugin-Status/Changes
  1.15  2021-02-20
  - Improved Mojolicious::Plugin::Status to log if server is not supported.
  - Improved template design.
* Tue Feb  9 2021 Tina Müller <timueller+perl@suse.de>
- updated to 1.14
  see /usr/share/doc/packages/perl-Mojolicious-Plugin-Status/Changes
  1.14  2021-02-09
  - Switched back to Sereal for serialization in Mojo::MemoryMap to reduce memory usage.
* Mon Jan  4 2021 Tina Müller <timueller+perl@suse.de>
- updated to 1.13
  see /usr/share/doc/packages/perl-Mojolicious-Plugin-Status/Changes
  1.13  2020-12-10
  - Updated examples to use signatures.
* Sat Jun 13 2020 Tina Müller <timueller+perl@suse.de>
- updated to 1.12
  see /usr/share/doc/packages/perl-Mojolicious-Plugin-Status/Changes
  1.12  2020-06-01
  - Updated project metadata.
* Mon Jun  1 2020 Tina Müller <timueller+perl@suse.de>
  updated to 1.11
  see /usr/share/doc/packages/perl-Mojolicious-Plugin-Status/Changes
  1.11  2020-05-30
  - Improved .perltidyrc with more modern settings.
* Wed May 27 2020 Tina Müller <timueller+perl@suse.de>
  updated to 1.10
  see /usr/share/doc/packages/perl-Mojolicious-Plugin-Status/Changes
  1.10  2020-05-26
  - Improved Mojo::MemoryMap to not require a Perl with 64-bit integer support.
  1.09  2020-05-25
  - Switched from Sereal to Cpanel::JSON::XS for serialization in
    Mojo::MemoryMap.
* Mon Feb 17 2020 <timueller+perl@suse.de>
- updated to 1.08
  see /usr/share/doc/packages/perl-Mojolicious-Plugin-Status/Changes
  1.08  2020-02-16
  - Fixed support for *BSD operating systems.
  1.07  2020-02-14
  - Updated the File::Temp requirement to version 0.2308 to avoid flock bugs
    that could make web apps hang forever.
* Fri Feb 14 2020 <timueller+perl@suse.de>
- updated to 1.06
  see /usr/share/doc/packages/perl-Mojolicious-Plugin-Status/Changes
  1.06  2020-02-14
  - Fixed displaying RSS on Linux correctly.
  1.05  2020-02-13
  - Added support for tracking different response types.
  - Improved template design.
  - Fixed display bugs for large request paths and query strings.
* Thu Feb 13 2020 <timueller+perl@suse.de>
- updated to 1.04
  see /usr/share/doc/packages/perl-Mojolicious-Plugin-Status/Changes
  1.04  2020-02-13
  - Improved template design.
  1.03  2020-02-12
  - Added support for retaining a list of the slowest requests since server
    start.
  - Added reusable Mojo::MemoryMap module.
  - Improved template design.
* Tue Feb 11 2020 <timueller+perl@suse.de>
- updated to 1.02
  see /usr/share/doc/packages/perl-Mojolicious-Plugin-Status/Changes
  1.02  2020-02-10
  - Switched to File::Map as storage backend, so this plugin should be much
    more reliable and safer to use now. (kraih, haarg, leont)
* Tue Oct  8 2019 <timueller+perl@suse.de>
- updated to 1.01
  see /usr/share/doc/packages/perl-Mojolicious-Plugin-Status/Changes
  1.01  2019-10-07
  - The IPC mechanism used by this module is unreliable, so production use is
    strongly discouraged.
* Tue Sep 18 2018 Stephan Kulow <coolo@suse.com>
- updated to 1.0
  see /usr/share/doc/packages/perl-Mojolicious-Plugin-Status/Changes
  1.0  2018-09-17
  - Fixed a problem where subprocesses would show up in the worker list.
* Mon Sep  3 2018 Marius Kittler <marius.kittler@suse.com>
- Add package initially (version 0.03)
